package ru.roe.timesheets.entity;

import com.haulmont.chile.core.annotations.MetaClass;
import com.haulmont.chile.core.annotations.MetaProperty;
import com.haulmont.cuba.core.entity.BaseUuidEntity;

import java.math.BigDecimal;
import java.util.Date;

@MetaClass(name = "timesheets_ReportLine")
public class ReportLine extends BaseUuidEntity {
    private static final long serialVersionUID = -5009641642985179314L;

    @MetaProperty
    protected MspTask task;

    @MetaProperty
    protected MspResource resource;

    @MetaProperty
    protected Date reportDate;

    @MetaProperty
    protected BigDecimal factHours;

    public BigDecimal getFactHours() {
        return factHours;
    }

    public void setFactHours(BigDecimal factHours) {
        this.factHours = factHours;
    }

    public Date getReportDate() {
        return reportDate;
    }

    public void setReportDate(Date reportDate) {
        this.reportDate = reportDate;
    }

    public MspResource getResource() {
        return resource;
    }

    public void setResource(MspResource resource) {
        this.resource = resource;
    }

    public MspTask getTask() {
        return task;
    }

    public void setTask(MspTask task) {
        this.task = task;
    }
}