package ru.roe.timesheets.entity;

import com.haulmont.chile.core.annotations.MetaClass;
import com.haulmont.chile.core.annotations.MetaProperty;
import com.haulmont.cuba.core.entity.BaseUuidEntity;

import java.math.BigDecimal;

@MetaClass(name = "timesheets_TableLine")
public class TableLine extends BaseUuidEntity {
    private static final long serialVersionUID = 2491672320962978523L;

    @MetaProperty
    protected String projectName;

    @MetaProperty
    protected String taskName;

    @MetaProperty
    protected String resourceName;

    @MetaProperty
    protected String systemName;

    @MetaProperty
    protected String lifeCyclePartName;

    @MetaProperty
    protected String workTypeName;

    @MetaProperty
    protected Integer percentComplete;

    @MetaProperty
    protected BigDecimal factHours;

    @MetaProperty
    protected TableLine ownLink;

    public TableLine getOwnLink() {
        return ownLink;
    }

    public void setOwnLink(TableLine ownLink) {
        this.ownLink = ownLink;
    }

    public BigDecimal getFactHours() {
        return factHours;
    }

    public void setFactHours(BigDecimal factHours) {
        this.factHours = factHours;
    }

    public Integer getPercentComplete() {
        return percentComplete;
    }

    public void setPercentComplete(Integer percentComplete) {
        this.percentComplete = percentComplete;
    }

    public String getWorkTypeName() {
        return workTypeName;
    }

    public void setWorkTypeName(String workTypeName) {
        this.workTypeName = workTypeName;
    }

    public String getLifeCyclePartName() {
        return lifeCyclePartName;
    }

    public void setLifeCyclePartName(String lifeCyclePartName) {
        this.lifeCyclePartName = lifeCyclePartName;
    }

    public String getSystemName() {
        return systemName;
    }

    public void setSystemName(String systemName) {
        this.systemName = systemName;
    }

    public String getResourceName() {
        return resourceName;
    }

    public void setResourceName(String resourceName) {
        this.resourceName = resourceName;
    }

    public String getTaskName() {
        return taskName;
    }

    public void setTaskName(String taskName) {
        this.taskName = taskName;
    }

    public String getProjectName() {
        return projectName;
    }

    public void setProjectName(String projectName) {
        this.projectName = projectName;
    }
}