package ru.roe.timesheets.service;

import ru.roe.timesheets.entity.*;

import java.util.List;

public interface DimensionService {
    String NAME = "timesheets_DimensionService";
    List<MspProject> getProjectList(MspProjectType filterProjectType, Integer filterProjectYear, String filterNamePart);
    List<MspProjectType> getProjectTypeList();
    List<MspLifeCyclePart> getLifeCycleParts();
    List<MspResource> getResources();
    List<MspSystem> getSystems();
    List<MspWorkType> getWorkTypes();
}