package ru.roe.timesheets.service;

import com.haulmont.cuba.core.entity.KeyValueEntity;
import ru.roe.timesheets.entity.*;
import ru.roe.timesheets.enumeration.GroupingMethod;
import ru.roe.timesheets.enumeration.TimeScaleUnit;

import java.util.Date;
import java.util.List;

public interface FactOLAPService {
    String NAME = "timesheets_FactOLAPService";

    List<KeyValueEntity> getFactOLAPStructure(GroupingMethod groupingMethod, Date startDate, Date endDate, MspProject filterProject, MspResource filterResource, MspSystem filterSystem, MspWorkType filterWorkType, MspLifeCyclePart filterLifeCyclePart, Boolean highLevelGrouping);
    List<KeyValueEntity> getFactOLAPDynamics(GroupingMethod groupingMethod, TimeScaleUnit timeScaleUnit, Date startDate, Date endDate, MspProject filterProject, MspResource filterResource, MspSystem filterSystem, MspWorkType filterWorkType, MspLifeCyclePart filterLifeCyclePart, Boolean highLevelGrouping);
    List<KeyValueEntity> getFactControlDynamics(GroupingMethod groupingMethod, TimeScaleUnit timeScaleUnit, Date startDate, Date endDate, MspProject filterProject, MspResource filterResource, MspSystem filterSystem, MspWorkType filterWorkType, MspLifeCyclePart filterLifeCyclePart, Boolean highLevelGrouping);

}