package ru.roe.timesheets.service;

import ru.roe.timesheets.utils.Period;
import ru.roe.timesheets.enumeration.TimeScaleUnit;

import java.util.Date;
import java.util.List;

public interface TimeScaleService {
    String NAME = "timesheets_TimeScaleService";

    TimeScaleUnit getDefaultTimeScaleUnitForInterval(Date startDate, Date endDate);
    List<Period> getPeriodsByUnit(Date startDate, Date endDate, TimeScaleUnit unit);
    String getPeriodName(TimeScaleUnit unit, Date startDate);
}