package ru.roe.timesheets.entity;

import com.haulmont.chile.core.annotations.MetaClass;
import com.haulmont.chile.core.annotations.MetaProperty;
import com.haulmont.chile.core.annotations.NamePattern;
import com.haulmont.cuba.core.entity.BaseUuidEntity;

import java.math.BigDecimal;

@NamePattern("%s|taskName")
@MetaClass(name = "timesheets_MspTask")
public class MspTask extends BaseUuidEntity {
    private static final long serialVersionUID = 7899930679952305177L;

    @MetaProperty
    protected MspProject project;

    @MetaProperty
    protected String ownId;

    @MetaProperty
    protected String taskName;

    @MetaProperty
    protected BigDecimal percentCompleted;

    @MetaProperty
    protected MspWorkType workType;

    @MetaProperty
    protected MspLifeCyclePart lifeCyclePart;

    @MetaProperty
    protected MspSystem systemLink;

    public String getOwnId() {
        return ownId;
    }

    public void setOwnId(String ownId) {
        this.ownId = ownId;
    }

    public MspSystem getSystemLink() {
        return systemLink;
    }

    public void setSystemLink(MspSystem systemLink) {
        this.systemLink = systemLink;
    }

    public MspLifeCyclePart getLifeCyclePart() {
        return lifeCyclePart;
    }

    public void setLifeCyclePart(MspLifeCyclePart lifeCyclePart) {
        this.lifeCyclePart = lifeCyclePart;
    }

    public MspWorkType getWorkType() {
        return workType;
    }

    public void setWorkType(MspWorkType workType) {
        this.workType = workType;
    }

    public BigDecimal getPercentCompleted() {
        return percentCompleted;
    }

    public void setPercentCompleted(BigDecimal percentCompleted) {
        this.percentCompleted = percentCompleted;
    }

    public String getTaskName() {
        return taskName;
    }

    public void setTaskName(String taskName) {
        this.taskName = taskName;
    }

    public MspProject getProject() {
        return project;
    }

    public void setProject(MspProject project) {
        this.project = project;
    }
}