package ru.roe.timesheets.service;

import com.haulmont.cuba.core.entity.KeyValueEntity;
import ru.roe.timesheets.entity.*;
import ru.roe.timesheets.enumeration.GroupingMethod;

import java.util.Date;
import java.util.List;

public interface FactViewService {
    String NAME = "timesheets_FactViewService";

    List<TableLine> getTableFactlines(Date startDate, Date endDate, MspProject filterProject, MspResource filterResource, MspSystem filterSystem, MspWorkType filterWorkType, MspLifeCyclePart filterLifeCyclePart, String filterTaskNamePart, GroupingMethod groupingMethod, Boolean exactFilter, Boolean nullFilter);
    List<KeyValueEntity> getTableFactRows(Date startDate, Date endDate, MspProject filterProject, MspResource filterResource, MspSystem filterSystem, MspWorkType filterWorkType, MspLifeCyclePart filterLifeCyclePart, String filterTaskNamePart, GroupingMethod groupingMethod, Boolean exactFilter, Boolean nullFilter);

}